#define black			0, 0, 0
#define white			1, 1, 1
#define white2			0.8, 0.8, 0.8
#define red				1, 0, 0
#define red2			0.8, 0, 0
#define gray			0.4, 0.4, 0.4
#define darkblue		0, 0.423, 0.662
#define green 			0.3, 0.8, 0.4

// Aspect ratio settings
__EXEC(AR_CENTER=0; AR_modifX=0; AR_modifY=0; AR_modifX_2NDMON=0; version=0);
me3d_temp1 = __EVAL(if (localize "STR_USRACT_CHEAT_1" == "FWATCH") then {version=call loadFile ":info version"});
me3d_temp2 = __EVAL(if (version>=1.15) then {call preProcessFile "..\fwatch\data\getAspectRatio.sqf"});

class ME3D_RscBackground
	{
	access=3;
	type=0;
	idc=-1;
	style=80;
	x=0.15;
	y=0.15;
	w=0.7;
	h=0.7;
	text="";
	colorBackground[]={1,1,1,0.75};
	colorText[]={0,0,0,0};
	font="tahomaB48";
	sizeEx=0;
	};
	
class ME3D_RscCombo
	{
	access=3;
	type=4;
	style=0;
	h=0.04;
	wholeHeight=0.25;
	colorSelect[]={0.35,0.38,0.36,1};
	colorText[]={0.08,0.08,0.12,0.75};
	colorBackground[]={0.35,0.38,0.36,0.75};
	font="tahomaB48";
	sizeEx=0.02;
	};

class ME3D_RscListBox
	{
	access=3;
	type=5;
	style=0;
	h=0.25;
	colorSelect[]={0.35,0.38,0.36,1};
	colorText[]={0.08,0.08,0.12,0.75};
	font="tahomaB48";
	sizeEx=0.02;
	rowHeight=0;
	};

class ME3D_RscPicture
	{
	access=3;
	type=0;
	idc=-1;
	style=48;
	colorBackground[]={0,0,0,0};
	colorText[]={1,1,1,1};
	font="tahomaB48";
	sizeEx=0;
	};

class ME3D_RscButton
	{
	access=3;
	type=1;
	style=2;
	w=0.16;
	h=0.06;
	colorText[]={0.08,0.08,0.12,1};
	font="tahomaB48";
	sizeEx=0.02;
	default=0;
	soundPush[]={"ui\ui_ok",0.2,1};
	soundClick[]={"",0.2,1};
	soundEscape[]={"ui\ui_cc",0.2,1};
	};

class ME3D_RscText
	{
	access=3;
	type=0;
	idc=-1;
	style=0;
	h=0.04;
	colorBackground[]={0,0,0,0};
	colorText[]={0.08,0.08,0.12,0.75};
	font="tahomaB48";
	sizeEx=0.02;
	text="";
	};

class ME3D_RscEdit
	{
	access=3;
	type=2;
	style=0;
	h=0.04;
	colorBackground[]={0,0,0,0};
	colorText[]={0.08,0.08,0.12,0.75};
	colorSelection[]={1,1,1,0.25};
	font="tahomaB48";
	sizeEx=0.02;
	autocomplete="";
	text="";
	};


	// Main dialog
class ME3D_UnitList {
	idd = 1;
	movingEnable = true;
	controls[] = {};
	controlsBackground[] = {
		Background,
		SideList,
		GroupList,
		UnitList,
		
		Background_Waypoints,
		WaypointList,
		
		Background_InsertUnit,
		AddonList,
		CategoryList,
		BrowseUnitList,
		ICON_1, 
		ICON_2, 
		ICON_3, 
		ICON_4, 
		ICON_5, 
		ICON_6, 
		ICON_7, 
		ICON_8, 
		ICON_9, 
		ICON_10,
		ICON_11,
		ICON_12,
		ICON_13,
		ICON_14,
		
		Options_Background,
		Options_ListBox,
		
		PosInfoX,
		PosInfoY,
		PosInfoZ,
		PosInfoD
	};
	
	__EXEC(LIST_X = 0.01 - AR_modifX)
	__EXEC(LIST_Y = 0.01 - AR_modifY)
	__EXEC(LIST_W = 0.22)
	__EXEC(LIST_H = 0.05)
	
	__EXEC(LIST2_H = 0.4)

	__EXEC(SPACE_W = 0.01)
	__EXEC(SPACE_H = 0.01)
	
	__EXEC(VAR_Y = LIST_Y)
	
	__EXEC(BACKGROUND_BORDER_X = 0.005)
	__EXEC(BACKGROUND_BORDER_Y = 0.007)
	__EXEC(BACKGROUND_BORDER_W = 0.013)
	__EXEC(BACKGROUND_BORDER_H = 0.015)
	
	//__EXEC(LIST_RIGHT_X = 1 + AR_modifX - LIST_W - 0.05)
	__EXEC(LIST_RIGHT_X = LIST_X + LIST_W + BACKGROUND_BORDER_W)
	
	#define ADD_PICTURE(CLASS_NAME, TEXTURE_NAME) \
		class CLASS_NAME : ME3D_RscPicture { \
			text=TEXTURE_NAME; \
			x=1.245; \
			y=0.41; \
			w=0.06; \
			h=0.08; \
			colorText[]={white,1}; \
		};
		
	// Preload textures
	ADD_PICTURE(ICON_1, "marker_objective.paa")
	ADD_PICTURE(ICON_2, "marker_waypoint.paa")
	ADD_PICTURE(ICON_3, "marker_dot.paa")
	ADD_PICTURE(ICON_4, "marker_destroy.paa")
	ADD_PICTURE(ICON_5, "marker_start.paa")
	ADD_PICTURE(ICON_6, "marker_goal.paa")
	ADD_PICTURE(ICON_7, "marker_exclamation.paa")
	ADD_PICTURE(ICON_8, "marker_join.paa")
	ADD_PICTURE(ICON_9, "marker_pickup.paa")
	ADD_PICTURE(ICON_10, "marker_question.paa")
	ADD_PICTURE(ICON_11, "marker_x.paa")
	ADD_PICTURE(ICON_12, "marker_sipka.paa")
	ADD_PICTURE(ICON_13, "marker_empty.paa")
	ADD_PICTURE(ICON_14, "vlajka.paa")
	
	class SideList : ME3D_RscCombo {
		idc = 1;
		style = 2
		x = __EVAL(LIST_X)
		y = __EVAL(VAR_Y)
		w = __EVAL(LIST_W)
		h = __EVAL(LIST_H)
		sizeEx = __EVAL(LIST_H - 0.02)
		__EXEC(VAR_Y = VAR_Y + LIST_H + SPACE_H)
        colorSelect[] = {green, 1};
        colorText[] = {darkblue, 0.7};
		colorBackground[] = {black, 1};
		wholeHeight=0.5;
	}
	
	class GroupList : SideList {
		idc = 2
		y = __EVAL(VAR_Y)
		__EXEC(VAR_Y = VAR_Y + LIST_H + SPACE_H)
	}
	
	class UnitList : ME3D_RscListBox {
		idc = 3
		__EXEC(LISTBOX_X = LIST_X);
		__EXEC(LISTBOX_Y = VAR_Y);
		__EXEC(LISTBOX_W = LIST_W);
		__EXEC(LISTBOX_H = LIST2_H);
		x = __EVAL(LISTBOX_X);
		y = __EVAL(LISTBOX_Y);
		w = __EVAL(LISTBOX_W);
		h = __EVAL(LISTBOX_H);
		__EXEC(VAR_Y = VAR_Y + LIST2_H)		
		sizeEx = 0.018;
		rowHeight = 0.028;
		colorText[] = {white2, 1};
		colorSelect[] = {red2, 1};
	}
	
	class Background : ME3D_RscBackground {
		idc = 1866703
		x = __EVAL(LIST_X - BACKGROUND_BORDER_X)
		y = __EVAL(LIST_Y - BACKGROUND_BORDER_Y)
		w = __EVAL(LIST_W + BACKGROUND_BORDER_W)
		h = __EVAL(VAR_Y - LIST_Y + BACKGROUND_BORDER_H)
		colorBackground[] = {darkblue, 1};
	}
	
	__EXEC(WINDOW2_Y = LIST_Y - BACKGROUND_BORDER_Y + VAR_Y - LIST_Y + BACKGROUND_BORDER_H)
	__EXEC(WINDOW2_H = LIST2_H / 2)

	class Background_Waypoints : Background {
		idc = 10
		y = __EVAL(WINDOW2_Y)
		h = __EVAL(WINDOW2_H)
	}
	
	class WaypointList : UnitList {
		idc = 4
		y = __EVAL(WINDOW2_Y + BACKGROUND_BORDER_Y)
		h = __EVAL(WINDOW2_H - BACKGROUND_BORDER_H)	
	}


	class Background_InsertUnit : Background {
		idc = 5
		x = __EVAL(LIST_RIGHT_X - BACKGROUND_BORDER_X)
	}
	
	class AddonList : SideList {
		idc = 6
		x   = __EVAL(LIST_RIGHT_X)
	}
	
	class CategoryList : GroupList {
		idc = 7
		x   = __EVAL(LIST_RIGHT_X)
	}
	
	class BrowseUnitList : UnitList {
		idc = 8
		x   = __EVAL(LIST_RIGHT_X)
	}
	
	
	// Right-click menu
	class Options_Background : ME3D_RscBackground {
		__EXEC(OPT_LIST_X = 0.4);
		__EXEC(OPT_LIST_Y = 0.2);
		__EXEC(OPT_LIST_W = 0.3);
		__EXEC(OPT_LIST_H = 0.6);
		idc = 100
		x = __EVAL(OPT_LIST_X)
		y = __EVAL(OPT_LIST_Y)
		w = __EVAL(OPT_LIST_W)
		h = __EVAL(OPT_LIST_H)
		colorBackground[] = {darkblue, 1};
	}
	
	class Options_ListBox : ME3D_RscListBox {
		idc = 101
		x = __EVAL(OPT_LIST_X);
		y = __EVAL(OPT_LIST_Y);
		w = __EVAL(OPT_LIST_W);
		h = __EVAL(OPT_LIST_H);
		sizeEx = 0.03;
		rowHeight = 0.04;
		colorText[] = {white2, 1};
		colorSelect[] = {red2, 1};
	};
	
	__EXEC(POSINFO_X = -AR_modifX);
	__EXEC(POSINFO_WIDTH = 0.08);
	__EXEC(POSINFO_HEIGHT = 0.02);
	__EXEC(POSINFO_IDC = 20);
	
	#define ADD_POSINFO(CLASS_NAME) \
		class CLASS_NAME : ME3D_RscText { \
			idc = __EVAL(POSINFO_IDC); \
			x = __EVAL(POSINFO_X); \
			y = __EVAL(1 + AR_modifY - POSINFO_HEIGHT - 0.001); \
			w = __EVAL(POSINFO_WIDTH); \
			h = __EVAL(POSINFO_HEIGHT); \
			sizeEx = __EVAL(POSINFO_HEIGHT - 0.005); \
			colorText[] = {white, 1}; \
			text = CLASS_NAME; \
			__EXEC(POSINFO_X = POSINFO_X + POSINFO_WIDTH); \
			__EXEC(POSINFO_IDC = POSINFO_IDC + 1); \
		};
		
	ADD_POSINFO(PosInfoX)
	ADD_POSINFO(PosInfoY)
	ADD_POSINFO(PosInfoZ)
	ADD_POSINFO(PosInfoD)
}

#define ME3D_SAVECOORDS

#ifdef ME3D_SAVECOORDS

	// Window with side/group/units
	__EXEC(WINDOW_LEFT   = LIST_X - BACKGROUND_BORDER_X);
	__EXEC(WINDOW_RIGHT  = WINDOW_LEFT + LIST_W + BACKGROUND_BORDER_W);
	__EXEC(WINDOW_UP     = LIST_Y - BACKGROUND_BORDER_Y);
	__EXEC(WINDOW_BOTTOM = WINDOW_UP + VAR_Y - LIST_Y + BACKGROUND_BORDER_H + WINDOW2_H);
	__EXEC(WINDOW_IDC    = "1866703");	// must be a string because the game doesn't handle large numbers
	
	// Window addons/categories/units
	__EXEC(WINDOW2_LEFT   = LIST_RIGHT_X - BACKGROUND_BORDER_X);
	__EXEC(WINDOW2_RIGHT  = WINDOW2_LEFT + LIST_W + BACKGROUND_BORDER_W);
	__EXEC(WINDOW2_UP     = LIST_Y - BACKGROUND_BORDER_Y);
	__EXEC(WINDOW2_BOTTOM = WINDOW_UP + VAR_Y - LIST_Y + BACKGROUND_BORDER_H);
	__EXEC(WINDOW2_IDC    = "5");
	
	// Unit listbox
	__EXEC(LISTBOX1_LEFT   = LISTBOX_X);
	__EXEC(LISTBOX1_RIGHT  = LISTBOX_X + LISTBOX_W);
	__EXEC(LISTBOX1_UP     = LISTBOX_Y);
	__EXEC(LISTBOX1_BOTTOM = LISTBOX_Y + LISTBOX_H);
	__EXEC(LISTBOX1_IDC    = "3");
	
	// Waypoint listbox
	__EXEC(LISTBOX2_LEFT   = LISTBOX_X);
	__EXEC(LISTBOX2_RIGHT  = LISTBOX_X + LISTBOX_W);
	__EXEC(LISTBOX2_UP     = WINDOW2_Y + BACKGROUND_BORDER_Y);
	__EXEC(LISTBOX2_BOTTOM = LISTBOX2_UP + WINDOW2_H - BACKGROUND_BORDER_H);
	__EXEC(LISTBOX2_IDC    = "10");
	
	// Right-click menu
	__EXEC(LISTBOX3_LEFT   = OPT_LIST_X);
	__EXEC(LISTBOX3_RIGHT  = OPT_LIST_X + OPT_LIST_W);
	__EXEC(LISTBOX3_UP     = OPT_LIST_Y);
	__EXEC(LISTBOX3_BOTTOM = OPT_LIST_X + OPT_LIST_H);
	__EXEC(LISTBOX3_IDC    = "100");
	
	me3d_save1 = __EVAL(loadFile Format ["\:IGSE NEW  file:..\fwatch\idb\me3d  directory:1"]);
	me3d_save2 = __EVAL(loadFile Format ["\:IGSE WRITE  file:..\fwatch\idb\me3d\dialog.sqf  open:recreate  text:[[%1,%2,%3,%4,%5],[%6,%7,%8,%9,%10],[%11,%12,%13,%14,%15],[%16,%17,%18,%19,%20],[%21,%22,%23,%24,%25]]", WINDOW_LEFT, WINDOW_RIGHT, WINDOW_UP, WINDOW_BOTTOM, WINDOW_IDC, WINDOW2_LEFT, WINDOW2_RIGHT, WINDOW2_UP, WINDOW2_BOTTOM, WINDOW2_IDC, LISTBOX1_LEFT, LISTBOX1_RIGHT, LISTBOX1_UP, LISTBOX1_BOTTOM, LISTBOX1_IDC, LISTBOX2_LEFT, LISTBOX2_RIGHT, LISTBOX2_UP, LISTBOX2_BOTTOM, LISTBOX2_IDC, LISTBOX3_LEFT, LISTBOX3_RIGHT, LISTBOX3_UP, LISTBOX3_BOTTOM, LISTBOX3_IDC]);

#endif

	// Progress display for converting addons
class ME3D_readaddons_progress {
	idd = 1;
	movingEnable = true;
	controls[] = {};
	controlsBackground[] = {
		Overlay,
		Progress1,
		Progress2,
		Progress3,
		Progress4,
		HitEsc
	};
	
	class Overlay : ME3D_RscText {
		idc = 1866704;
		x = __EVAL(0 - AR_modifX);
		y = __EVAL(0 - AR_modifY);
		w = __EVAL(1 + AR_modifX * 2);
		h = __EVAL(1 + AR_modifY * 2);
		colorBackground[] = {black, 0.55};
	};
	
	__EXEC(ME3D_readaddons_progress_h = 0.06);
	__EXEC(ME3D_readaddons_progress_y = 0.3);

	class Progress1 : ME3D_RscText {
		idc = 100
		style = 2 + 256
		x = __EVAL(0 - AR_modifX)
		y = __EVAL(ME3D_readaddons_progress_y)
		w = __EVAL(1 + AR_modifX * 2)
		h = __EVAL(ME3D_readaddons_progress_h)
		sizeEx = __EVAL(ME3D_readaddons_progress_h - 0.002)
		colorText[] = {white, 1};
	};
	
	__EXEC(ME3D_readaddons_progress_y = ME3D_readaddons_progress_y + ME3D_readaddons_progress_h + 0.03);
	__EXEC(ME3D_readaddons_progress_h = ME3D_readaddons_progress_h - 0.02);
	class Progress2 : Progress1 {
		idc = 101;
		y = __EVAL(ME3D_readaddons_progress_y)
		h = __EVAL(ME3D_readaddons_progress_h)
		sizeEx = __EVAL(ME3D_readaddons_progress_h - 0.002)
	}
	
	__EXEC(ME3D_readaddons_progress_y = ME3D_readaddons_progress_y + ME3D_readaddons_progress_h + 0.03);
	__EXEC(ME3D_readaddons_progress_h = ME3D_readaddons_progress_h - 0.01);
	class Progress3 : Progress1 {
		idc = 102;
		y = __EVAL(ME3D_readaddons_progress_y)
		sizeEx = __EVAL(ME3D_readaddons_progress_h - 0.002)
	};
	
	__EXEC(ME3D_readaddons_progress_y = ME3D_readaddons_progress_y + ME3D_readaddons_progress_h + 0.03);
	__EXEC(ME3D_readaddons_progress_h = ME3D_readaddons_progress_h - 0.01);
	class Progress4 : Progress1 {
		idc = 103;
		y = __EVAL(ME3D_readaddons_progress_y)
		sizeEx = __EVAL(ME3D_readaddons_progress_h - 0.002)
	};
	

	class HitEsc : Progress1 {
		idc = 1;
		y = 0.85
		h = 0.05
		sizeEx = 0.045
		text = "Hit ESC to stop";
	};
};

	// Searching through object list
class ME3D_object_finder {
	idd = 1;
	movingEnable = true;
	controls[] = {};
	controlsBackground[] = {
		Background,
		Control1, Description1,
		Control2, Description2,
		Control3, Description3,
		Control4, Description4,
		Control5, Description5,
		Control6, Description6,
		Control7, Description7,
		Control8, Description8,
		Options_Background, Options_ListBox,
		Results,
		Info_Top,
		Info_Bottom
	};
	
	__EXEC(ME3D_BACKGROUND_X = 0 - AR_modifX);
	__EXEC(ME3D_BACKGROUND_Y = 0 - AR_modifY);
	__EXEC(ME3D_BACKGROUND_W = 0.3);
	__EXEC(ME3D_BACKGROUND_H = 1 + AR_modifY * 2);
	
	class Background : ME3D_RscBackground {
		idc = 1866705
		x = __EVAL(ME3D_BACKGROUND_X)
		y = __EVAL(ME3D_BACKGROUND_Y)
		w = __EVAL(ME3D_BACKGROUND_W)
		h = __EVAL(ME3D_BACKGROUND_H)
		colorBackground[] = {darkblue, 1};
	}
	
	__EXEC(ME3D_MARGIN_X = 0.015)
	__EXEC(ME3D_MARGIN_Y = 0.02)
	__EXEC(ME3D_MARGIN_BETWEEN_CONTROLS = 0.01)
	__EXEC(ME3D_CONTROL_X = ME3D_BACKGROUND_X + ME3D_MARGIN_X)
	__EXEC(ME3D_CONTROL_Y = ME3D_BACKGROUND_Y + ME3D_MARGIN_Y)
	__EXEC(ME3D_CONTROL_W = ME3D_BACKGROUND_W - ME3D_MARGIN_X * 2)
	__EXEC(ME3D_CONTROL_H = 0.025);
	
	__EXEC(ME3D_CONTROL_Y_CURRENT = ME3D_CONTROL_Y);
	
	#define ME3D_objfind_control(TITLE_CLASS, TITLE_TEXT, IDC, CONTROL_CLASS, CONTROL_CLASS_INHERIT) \
		class TITLE_CLASS : ME3D_RscText { \
			idc = __EVAL(IDC + 1); \
			style = 1 + 256; \
			x = __EVAL(ME3D_CONTROL_X); \
			y = __EVAL(ME3D_CONTROL_Y_CURRENT); \
			w = __EVAL(ME3D_CONTROL_W); \
			h = __EVAL(ME3D_CONTROL_H); \
			sizeEx = __EVAL(ME3D_CONTROL_H - 0.01); \
			text = TITLE_TEXT; \
			colorText[] = {white, 0.25}; \
			font="tahomaB24"; \
		}; \
		class CONTROL_CLASS : CONTROL_CLASS_INHERIT { \
			idc = __EVAL(IDC); \
			x = __EVAL(ME3D_CONTROL_X); \
			y = __EVAL(ME3D_CONTROL_Y_CURRENT); \
			w = __EVAL(ME3D_CONTROL_W); \
			h = __EVAL(ME3D_CONTROL_H); \
			sizeEx = __EVAL(ME3D_CONTROL_H - 0.007); \
			colorSelect[] = {green, 1}; \
			colorText[] = {darkblue, 0.7}; \
			colorBackground[] = {black, 1}; \
			wholeHeight = __EVAL(1 + AR_modifY*2 - ME3D_CONTROL_Y_CURRENT - ME3D_MARGIN_Y); \
		}; \
		__EXEC(ME3D_CONTROL_Y_CURRENT = ME3D_CONTROL_Y_CURRENT + ME3D_CONTROL_H + ME3D_MARGIN_BETWEEN_CONTROLS);
	
	ME3D_objfind_control(Description1, "cfg class", 10, Control1, ME3D_RscEdit)
	ME3D_objfind_control(Description2, "displayName", 20, Control2, ME3D_RscEdit)
	ME3D_objfind_control(Description3, "side", 30, Control3, ME3D_RscCombo)
	ME3D_objfind_control(Description4, "has(d/g/c)", 40, Control4, ME3D_RscCombo)
	ME3D_objfind_control(Description5, "transportsoldier", 50, Control5, ME3D_RscEdit)
	ME3D_objfind_control(Description6, "simulation", 60, Control6, ME3D_RscCombo)
	ME3D_objfind_control(Description7, "vehicleClass", 70, Control7, ME3D_RscCombo)
	ME3D_objfind_control(Description8, "source pbo", 80, Control8, ME3D_RscCombo)
	
	// Right-click menu
	class Options_Background : ME3D_RscBackground {
		__EXEC(OPT_LIST_X = 0.4);
		__EXEC(OPT_LIST_Y = 0.2);
		__EXEC(OPT_LIST_W = 0.3);
		__EXEC(OPT_LIST_H = 0.6);
		idc = 100
		x = __EVAL(OPT_LIST_X)
		y = __EVAL(OPT_LIST_Y)
		w = __EVAL(OPT_LIST_W)
		h = __EVAL(OPT_LIST_H)
		colorBackground[] = {darkblue, 1};
	}
	
	class Options_ListBox : ME3D_RscListBox {
		idc = 101
		x = __EVAL(OPT_LIST_X);
		y = __EVAL(OPT_LIST_Y);
		w = __EVAL(OPT_LIST_W);
		h = __EVAL(OPT_LIST_H);
		sizeEx = 0.03;
		rowHeight = 0.04;
		colorText[] = {white2, 1};
		colorSelect[] = {red2, 1};
	};
	
	/*class Add : ME3D_RscButton
	{
		idc = 400;
		x = __EVAL(ME3D_CONTROL_X);
		y = __EVAL(ME3D_CONTROL_Y_CURRENT);
		w = __EVAL(ME3D_CONTROL_W);
		h = __EVAL(ME3D_CONTROL_H);
		text = "ADD";
		soundClick[]={"ui\ui_ok",0.2,1};
	};	
	__EXEC(ME3D_CONTROL_Y_CURRENT = ME3D_CONTROL_Y_CURRENT + ME3D_CONTROL_H + ME3D_MARGIN_BETWEEN_CONTROLS)*/
	
	class Results : ME3D_RscListBox {
		idc = 500;
		x = __EVAL(ME3D_CONTROL_X);
		y = __EVAL(ME3D_CONTROL_Y_CURRENT);
		w = __EVAL(ME3D_CONTROL_W);
		h = __EVAL(1+AR_modifY*2 - ME3D_CONTROL_Y_CURRENT - ME3D_MARGIN_Y);
		sizeEx = 0.018;
		rowHeight = 0.02;
		colorText[] = {white2, 1};
		colorSelect[] = {red2, 1};
	};
	
	__EXEC(ME3D_INFO_LINE_SIZE = 0.03)
	__EXEC(ME3D_INFO_LINE_COUNT = 7)
	__EXEC(ME3D_INFO_LINE_SPACING = 1.4)
	__EXEC(ME3D_INFO_H = ME3D_INFO_LINE_SIZE * ME3D_INFO_LINE_SPACING * ME3D_INFO_LINE_COUNT);
	
	class Info_Top : ME3D_RscText {
		idc = 1000
		style = 1 + 16 + 256
		x = __EVAL(ME3D_BACKGROUND_X + ME3D_BACKGROUND_W);
		y = __EVAL(0 - AR_modifY);
		w = __EVAL(1 + AR_modifX*2 - ME3D_BACKGROUND_W);
		h = __EVAL(ME3D_INFO_H);
		sizeEx = __EVAL(ME3D_INFO_LINE_SIZE - 0.005);
		colorText[] = {white2, 1};
		lineSpacing = __EVAL(ME3D_INFO_LINE_SPACING)
	};

	class Info_Bottom : Info_Top {
		idc = 1001
		y = __EVAL(1 + AR_modifY*2 - ME3D_INFO_H);
		h = __EVAL(ME3D_INFO_H);
	};
};


class ME3D_RscTitle
	{
	access=3;
	type=0;
	idc=-1;
	style="32 + 					2";
	x=0.15;
	y=0.164;
	w=0.7;
	h=0.06;
	text="";
	colorBackground[]={1,1,1,1};
	colorText[]={0.08,0.08,0.12,1};
	font="tahomaB48";
	sizeEx="1.0714 * 0.03";
	};

class ME3D_RscGroupBox2
	{
	access=3;
	type=0;
	idc=-1;
	style=112;
	text="";
	colorBackground[]={1,1,1,0.6};
	colorText[]={0,0,0,0};
	font="tahomaB48";
	sizeEx=0.02;
	};

class ME3D_RscFrame
	{
	access=3;
	type=0;
	idc=-1;
	style=64;
	text="";
	colorBackground[]={0,0,0,0};
	colorText[]={0.08,0.08,0.12,0.75};
	font="tahomaB48";
	sizeEx=0.02;
	};

class ME3D_RscSliderH
	{
	access=3;
	type=3;
	style=1;
	h=0.028;
	color[]={0.08,0.08,0.12,0.75};
	};



class ME3D_RscToolbox
	{
	access=3;
	type=6;
	style=2;
	colorText[]={0.0,0.0,0.0,0.4};
	color[]={0.0,0.0,0.0,0.4};
	colorTextSelect[]={0.0,0.0,0.0,0.8};
	colorSelect[]={0.0,0.0,0.0,0.8};
	colorTextDisable[]={0.0,0.0,0.0,0.2};
	colorDisable[]={0.0,0.0,0.0,0.2};
	font="tahomaB48";
	sizeEx=0.02;
	};
	
class ME3D_RscButtonSmall:ME3D_RscButton
	{
	w=0.12;
	};



	// Mission options
class ME3D_Intel
	{
	idd=32;
	movingEnable=1;
	controls[]={"Background","Title","SubBackground","SubtitleVisuals","TextBriefingName","ValueBriefingName","TextBriefingDescription","ValueBriefingDescription","SubBackground1","TextDate","ValueMonth","ValueDay","TextTime","ValueHour","ValueMinute","SubtitleVisuals1","ValueWeather","Bourka","Jasno","ValueFog","SubtitleVisuals2","ValueWeatherForecast","Bourka2","Jasno2","ValueFogForecast","SubtitleVisuals3","ValueResistance","East","West","ButtonOK","ButtonCancel"};

	class Background:ME3D_RscBackground
		{
		idc = 1000
		x=0.2;
		y=0.02;
		w=0.64;
		h=0.96;
		};

	class Title:ME3D_RscTitle
		{
		x=0.2;
		y=0.038;
		w=0.64;
		h=0.06;
		text="$STR_DISP_INTEL_TITLE";
		};

	class SubBackground:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.12;
		w=0.6;
		h=0.2;
		};

	class SubtitleVisuals:ME3D_RscFrame
		{
		x=0.235;
		y=0.125;
		w=0.57;
		h=0.18;
		text="$STR_DISP_INTEL_BRIEFING";
		};

	class TextBriefingName:ME3D_RscText
		{
		x=0.24;
		y=0.15;
		w=0.1;
		h=0.028;
		text="$STR_DISP_INTEL_NAME";
		};

	class ValueBriefingName:ME3D_RscEdit
		{
		idc=106;
		x=0.35;
		y=0.15;
		w=0.445;
		h=0.028;
		text="$STR_DISP_ERROR";
		};

	class TextBriefingDescription:ME3D_RscText
		{
		x=0.24;
		y=0.19;
		w=0.11;
		h=0.028;
		text="$STR_DISP_INTEL_DESC";
		};

	class ValueBriefingDescription:ME3D_RscEdit
		{
		idc=107;
		style=16;
		lineSpacing=1;
		x=0.35;
		y=0.19;
		w=0.445;
		h=0.102;
		text="$STR_DISP_ERROR";
		};

	class SubBackground1:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.345;
		w=0.6;
		h=0.5325;
		};

	class TextDate:ME3D_RscText
		{
		x=0.23;
		y=0.355;
		w=0.05;
		h=0.028;
		text="$STR_DISP_INTEL_DATE";
		};

	class ValueMonth:ME3D_RscCombo		// edited (tweak)
		{
		idc=102;
		x=0.285;
		y=0.355;
		w=0.08;
		h=0.028;
		wholeHeight=0.5;	// added
		};

	class ValueDay:ME3D_RscCombo		// edited (tweak) *
		{
		idc=103;
		x=0.375;
		y=0.355;
		w=0.08;
		h=0.028;
		wholeHeight=__EVAL(0.645 + AR_modifY * 2);	// added
		};

	class TextTime:ME3D_RscText
		{
		x=0.575;
		y=0.355;
		w=0.05;
		h=0.028;
		text="$STR_DISP_INTEL_TIME";
		};

	class ValueHour:ME3D_RscEdit		// edited (tweak)
		{
		idc=104;
		x=0.635;
		y=0.355;
		w=0.08;
		h=0.028;
		wholeHeight=0.55;	// added
		text = "";
		};

	class ValueMinute:ME3D_RscEdit		// edited (tweak)
		{
		idc=105;
		x=0.725;
		y=0.355;
		w=0.08;
		h=0.028;
		wholeHeight=0.5;	// added
		text = "";
		};

	class SubtitleVisuals1:ME3D_RscFrame
		{
		x=0.235;
		y=0.385;
		w=0.57;
		h=0.18;
		text="$STR_DISP_INTEL_WEATHER";
		};

	class ValueWeather:ME3D_RscSliderH
		{
		idc=108;
		x=0.3025;
		y=0.43;
		w=0.44;
		};

	class Bourka:ME3D_RscPicture
		{
		text="bourkasym.paa";
		x=0.245;
		y=0.41;
		w=0.06;
		h=0.08;
		colorText[]={0.08,0.08,0.12,1};
		};

	class Jasno:ME3D_RscPicture
		{
		text="jasnosym.paa";
		x=0.7425;
		y=0.4075;
		w=0.06;
		h=0.08;
		colorText[]={0.08,0.08,0.12,1};
		};

	class ValueFog:ME3D_RscSliderH
		{
		idc=109;
		x=0.3025;
		y=0.51;
		w=0.44;
		};

	class SubtitleVisuals2:ME3D_RscFrame
		{
		x=0.235;
		y=0.565;
		w=0.57;
		h=0.18;
		text="$STR_DISP_INTEL_FORECAST";
		};

	class ValueWeatherForecast:ME3D_RscSliderH
		{
		idc=110;
		x=0.3025;
		y=0.61;
		w=0.44;
		};

	class Bourka2:ME3D_RscPicture
		{
		text="bourkasym.paa";
		x=0.245;
		y=0.59;
		w=0.06;
		h=0.08;
		colorText[]={0.08,0.08,0.12,1};
		};

	class Jasno2:ME3D_RscPicture
		{
		text="jasnosym.paa";
		x=0.7425;
		y=0.5875;
		w=0.06;
		h=0.08;
		colorText[]={0.08,0.08,0.12,1};
		};

	class ValueFogForecast:ME3D_RscSliderH
		{
		idc=111;
		x=0.3025;
		y=0.69;
		w=0.44;
		};

	class SubtitleVisuals3:ME3D_RscFrame
		{
		x=0.235;
		y=0.745;
		w=0.57;
		h=0.1;
		text="$STR_DISP_INTEL_RESISTANCE";
		};

	class ValueResistance:ME3D_RscCombo
		{
		idc=101;
		x=0.3025;
		y=0.785;
		w=0.44;
		h=0.038;
		strings[]={"$STR_DISP_INTEL_NONE_FRIENDLY","$STR_DISP_INTEL_WEST_FRIENDLY","$STR_DISP_INTEL_EAST_FRIENDLY","$STR_DISP_INTEL_BOTH_FRIENDLY"};
		rows=1;
		columns=4;
		};

	class East:ME3D_RscPicture
		{
		text="eastsym.paa";
		x=0.245;
		y=0.77;
		w=0.05;
		h=0.068;
		colorText[]={0.08,0.08,0.12,0.7};
		};

	class West:ME3D_RscPicture
		{
		text="westsym.paa";
		x=0.7475;
		y=0.77;
		w=0.05;
		h=0.068;
		colorText[]={0.08,0.08,0.12,0.7};
		};

	class ButtonOK:ME3D_RscButtonSmall		// edited (fix)
		{
		idc=1;
		x=0.535;
		y=0.9;						// +0.02
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:ME3D_RscButtonSmall		// edited (fix)
		{
		idc=2;
		x=0.69;
		y=0.9;						// +0.02
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

class ME3D_InsertGroup
	{
	idd=40;
	movingEnable=1;
	controls[]={"Background","Title","Subbackground","TextSide","ValueSide","TextType","ValueType","TextName","ValueName","Azimut","TextAzimut","ValueAzimut","ButtonOK","ButtonCancel"};

	class Background:ME3D_RscBackground
		{
		idc = 1000;
		x=0.2;
		y=0.3;
		w=0.6;
		h=0.41;
		};

	class Title:ME3D_RscTitle
		{
		idc=-1;
		x=0.2;
		y=0.318;
		w=0.6;
		h=0.06;
		text="$STR_DISP_ARCGRP_TITLE";
		};

	class Azimut:ME3D_RscPicture
		{
		idc=105;
		text="azimut.paa";
		x=0.59;
		y=0.382;
		w=0.2;
		h=0.26;
		colorText[]={0.08,0.08,0.12,1};
		};

	class TextAzimut:ME3D_RscText
		{
		x=0.6325;
		y=0.484;
		w=0.15;
		text="$STR_DISP_ARCUNIT_AZIMUT";
		};

	class ValueAzimut:ME3D_RscEdit
		{
		idc=104;
		x=0.7025;
		y=0.484;
		w=0.04;
		text="$STR_DISP_ERROR";
		};

	class TextSide:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.41;
		w=0.1325;
		text="$STR_DISP_ARCGRP_SIDE";
		};

	class ValueSide:ME3D_RscCombo		// edited (tweak)
		{
		idc=101;
		x=0.3625;
		y=0.41;
		w=0.2385;
		wholeHeight=__EVAL(0.59 + AR_modifY);		// added
		};

	class TextType:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.46;
		w=0.1325;
		text="$STR_DISP_ARCGRP_TYPE";
		};

	class ValueType:ME3D_RscCombo		// edited (tweak)
		{
		idc=102;
		x=0.3625;
		y=0.46;
		w=0.2385;
		wholeHeight=__EVAL(0.54 + AR_modifY);		// added
		};

	class TextName:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.51;
		w=0.1325;
		text="$STR_DISP_ARCGRP_NAME";
		};

	class ValueName:ME3D_RscCombo		// edited (tweak)
		{
		idc=103;
		x=0.3625;
		y=0.51;
		w=0.2385;
		wholeHeight=__EVAL(0.49 + AR_modifY);		// added
		};

	class SubBackground:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.4;
		w=0.555;
		h=0.21;
		};

	class ButtonOK:ME3D_RscButton
		{
		idc=1;
		x=0.502;
		y=0.635;
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:ME3D_RscButton
		{
		idc=2;
		x=0.647;
		y=0.635;
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		default=0;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Unit menu
class ME3D_EditUnit
	{
	idd=27;
	movingEnable=1;
	controls[]={
		"Background",
		"Subbackground",
		"Title",
		"TextSide","ValueSide",
		"TextRank","ValueRank",
		"TextClass","ValueClass",
		"TextVehicle","ValueVehicle",
		"TextControl","ValueControl",
		"TextSpecial","ValueSpecial",
		"TextAge","ValueAge",
		"TextText","ValueText",
		"TextLock","ValueLock",
		"TextSkill","ValueSkill",
		"TextInit","ValueInit",
		"Subbackground1",
		"TextAzimut","ValueAzimut",
		"SubtitleVisuals","ValueHealth",
		"SubtitleVisuals1","ValueFuel",
		"SubtitleVisuals2","ValueAmmo",
		"TextPresence","ValuePresence",
		"TextPresenceCondition","ValuePresenceCondition",
		"TextPlacement","ValuePlacement",
		SubBackground2,
		TextPosX, TextPosY, 
		TextPosZ, TextPosType, 
		ValuePosX, ValuePosY, 
		ValuePosZ, ValuePosType
	};

	class Background:ME3D_RscBackground
		{
		idc = 1000
		x=0.2;
		y=0.05;
		w=0.56;
		h="0.91";
		};

	class Title:ME3D_RscTitle
		{
		idc=101;
		x=0.2;
		y=0.068;
		w=0.56;
		h=0.06;
		text="$STR_DISP_ERROR";
		};

	class TextSide:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.16;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_SIDE";
		};

	class ValueSide:ME3D_RscCombo
		{
		idc=102;
		x=0.3182;
		y=0.16;
		w=0.1519;
		};

	class TextRank:ME3D_RscText
		{
		idc=-1;
		x=0.4799;
		y=0.16;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_RANK";
		};

	class ValueRank:ME3D_RscCombo
		{
		idc=104;
		x=0.5681;
		y=0.16;
		w=0.1519;
		};

	class TextClass:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.21;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_CLASS";
		};

	class ValueClass:ME3D_RscCombo		// edited (tweak)
		{
		idc=107;
		x=0.3182;
		y=0.21;
		w=0.1519;
		wholeHeight=__EVAL(0.79 + AR_modifY);		// added
		};

	class TextVehicle:ME3D_RscText
		{
		idc=-1;
		x=0.4799;
		y=0.21;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_VEHICLE";
		};

	class ValueVehicle:ME3D_RscCombo		// edited (tweak)
		{
		idc=103;
		x=0.5681;
		y=0.21;
		w=0.1519;
		wholeHeight=__EVAL(0.79 + AR_modifY);		// added
		};

	class TextControl:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.26;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_CTRL";
		};

	class ValueControl:ME3D_RscCombo		// edited (tweak)
		{
		idc=105;
		x=0.3182;
		y=0.26;
		w=0.1519;
		wholeHeight=0.5;	// added
		};

	class TextSpecial:ME3D_RscText
		{
		idc=-1;
		x=0.4799;
		y=0.26;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_SPECIAL";
		};

	class ValueSpecial:ME3D_RscCombo
		{
		idc=112;
		x=0.5681;
		y=0.26;
		w=0.1519;
		};

	class TextAge:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.31;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_AGE";
		};

	class ValueAge:ME3D_RscCombo
		{
		idc=113;
		x=0.3182;
		y=0.31;
		w=0.1519;
		};

	class TextText:ME3D_RscText
		{
		idc=-1;
		x=0.4799;
		y=0.31;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_TEXT";
		};

	class ValueText:ME3D_RscEdit
		{
		idc=118;
		x=0.5681;
		y=0.31;
		w=0.1519;
		text="$STR_DISP_ERROR";
		};

	class TextLock:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.36;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_LOCK";
		};

	class ValueLock:ME3D_RscCombo
		{
		idc=119;
		x=0.3182;
		y=0.36;
		w=0.1519;
		};

	class TextSkill:ME3D_RscText
		{
		idc=-1;
		x=0.4799;
		y=0.36;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_SKILL";
		};

	class ValueSkill:ME3D_RscSliderH
		{
		idc=121;
		x=0.5681;
		y=0.37;
		w=0.1519;
		};

	class TextInit:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.41;
		w=0.1225;
		text="$STR_DISP_ARCUNIT_INIT";
		};

	class ValueInit:ME3D_RscEdit
		{
		idc=120;
		x=0.3525;
		y=0.41;
		w=0.3675;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class SubBackground:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.15;
		w=0.515;
		h=0.31;
		};

	class Azimut:ME3D_RscPicture
		{
		idc=114;
		text="azimut.paa";
		x=0.5525;
		y=0.473;
		w=0.2;
		h=0.26;
		colorText[]={0.08,0.08,0.12,0.4};
		};

	class TextAzimut:ME3D_RscText
		{
		x=0.595;
		y=0.575;
		w=0.15;
		text="$STR_DISP_ARCUNIT_AZIMUT";
		};

	class ValueAzimut:ME3D_RscEdit
		{
		idc=111;
		x=0.665;
		y=0.575;
		w=0.053;
		sizeEx=0.016;
		text="$STR_DISP_ERROR";
		};

	class SubtitleVisuals:ME3D_RscFrame
		{
		x=0.235;
		y=0.485;
		w=0.335;
		h=0.07;
		text="$STR_DISP_ARCUNIT_HEALTH";
		};

	class ValueHealth:ME3D_RscSliderH
		{
		idc=108;
		x=0.2425;
		y=0.52;
		w=0.32;
		};

	class SubtitleVisuals1:ME3D_RscFrame
		{
		x=0.235;
		y=0.555;
		w=0.335;
		h=0.07;
		text="$STR_DISP_ARCUNIT_FUEL";
		};

	class ValueFuel:ME3D_RscSliderH
		{
		idc=109;
		x=0.2425;
		y=0.59;
		w=0.32;
		};

	class SubtitleVisuals2:ME3D_RscFrame
		{
		x=0.235;
		y=0.625;
		w=0.335;
		h=0.07;
		text="$STR_DISP_ARCUNIT_AMMO";
		};

	class ValueAmmo:ME3D_RscSliderH		// edited (fix)
		{
		idc=110;
		x=0.2425;	// +0.0075
		y=0.66;
		w=0.32;
		};

	class TextPresence:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.71;
		w=0.1862;
		text="$STR_DISP_ARCUNIT_PRESENCE";
		};

	class ValuePresence:ME3D_RscSliderH
		{
		idc=116;
		x=0.4162;
		y=0.72;
		w=0.3038;
		};

	class TextPresenceCondition:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.76;
		w=0.1862;
		text="$STR_DISP_ARCUNIT_PRESENCE_COND";
		};

	class ValuePresenceCondition:ME3D_RscEdit
		{
		idc=117;
		x=0.4162;
		y=0.76;
		w=0.3038;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class TextPlacement:ME3D_RscText
		{
		idc=-1;
		x=0.23;
		y=0.81;
		w=0.1862;
		text="$STR_DISP_ARCUNIT_PLACE";
		};

	class ValuePlacement:ME3D_RscEdit
		{
		idc=115;
		x=0.4162;
		y=0.81;
		w=0.3038;
		text="$STR_DISP_ERROR";
		};

	class SubBackground1:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.48;
		w=0.515;
		h=0.38;
		};
		
	class SubBackground2 : SubBackground1 {
		y = 0.88;
		h = 0.05;
	};
	
	__EXEC(INITIAL_X         = 0.23);
	__EXEC(INITIAL_Y         = 0.89);
	__EXEC(INPUT_WIDTH       = 0.08);
	__EXEC(INPUT_HEIGHT      = 0.03);
	__EXEC(SPACE_WIDTH       = 0.01);
	__EXEC(VAR_X             = INITIAL_X);
	
	#define ADD_TEXT_INPUT(CLASS_NAME1, TEXT_DESCRIPTION, DESCRIPTION_WIDTH, CLASS_NAME2, CLASS_NAME2_INHERIT, CONTROL_IDC) \
		class CLASS_NAME1 : TextSide { \
			idc  = -1; \
			x    = __EVAL(VAR_X); \
			y    = __EVAL(INITIAL_Y); \
			w    = __EVAL(DESCRIPTION_WIDTH); \
			h    = __EVAL(INPUT_HEIGHT); \
			text = TEXT_DESCRIPTION; \
			__EXEC(VAR_X = VAR_X + DESCRIPTION_WIDTH + SPACE_WIDTH); \
		}; \
		class CLASS_NAME2 : CLASS_NAME2_INHERIT { \
			idc = CONTROL_IDC; \
			x   = __EVAL(VAR_X); \
			y   = __EVAL(INITIAL_Y); \
			w   = __EVAL(INPUT_WIDTH); \
			h   = __EVAL(INPUT_HEIGHT); \
			__EXEC(VAR_X = VAR_X + INPUT_WIDTH + SPACE_WIDTH); \
		};
		
	ADD_TEXT_INPUT(TextPosX, "X:", 0.02, ValuePosX, ME3D_RscEdit, 200)
	ADD_TEXT_INPUT(TextPosY, "Y:", 0.02, ValuePosY, ME3D_RscEdit, 201)
	ADD_TEXT_INPUT(TextPosZ, "Z:", 0.02, ValuePosZ, ME3D_RscEdit, 202)
	ADD_TEXT_INPUT(TextPosType, "Type:", 0.04, ValuePosType, ME3D_RscCombo, 203)

	class ButtonOK:ME3D_RscButton
		{
		idc=1;
		x=0.462;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:ME3D_RscButton
		{
		idc=2;
		x=0.607;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		default=0;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};
	
	// Trigger menu
class ME3D_EditTrigger
	{
	idd=41;
	movingEnable=1;
	controls[]={"Background","Title","SubBackground1","TextA","ValueA","TextB","ValueB","TextAngle","ValueAngle","Rectangular","SubBackground2","TextActivation","ValueActivation","Presence","Repeating","Interruptable","TextTimeoutMin","ValueTimeoutMin","TextTimeoutMax","ValueTimeoutMax","TextTimeoutMid","ValueTimeoutMid","SubBackground3","TextType","ValueType","TextText","ValueText","TextName","ValueName","SubBackground4","TextExpCond","ValueExpCond","TextExpActiv","ValueExpActiv","TextExpDesactiv","ValueExpDesactiv","ButtonEffects"};

	class Background:ME3D_RscBackground
		{
		idc = 1001
		x=0.2;
		y=0.1;
		w=0.56;
		h=0.86;
		};

	class Title:ME3D_RscTitle
		{
		idc=101;
		x=0.2;
		y=0.118;
		w=0.56;
		h=0.06;
		text="$STR_DISP_ARCSENS_TITLE";
		};

	class SubBackground1:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.2;
		w=0.515;
		h=0.11;
		};

	class TextA:ME3D_RscText
		{
		x=0.23;
		y=0.21;
		w=0.15;
		text="$STR_DISP_ARCSENS_A";
		};

	class ValueA:ME3D_RscEdit
		{
		idc=102;
		x=0.32;
		y=0.21;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class TextB:ME3D_RscText
		{
		x=0.48;
		y=0.21;
		w=0.15;
		text="$STR_DISP_ARCSENS_B";
		};

	class ValueB:ME3D_RscEdit
		{
		idc=103;
		x=0.57;
		y=0.21;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class TextAngle:ME3D_RscText
		{
		x=0.23;
		y=0.26;
		w=0.15;
		text="$STR_DISP_ARCSENS_ANGLE";
		};

	class ValueAngle:ME3D_RscEdit
		{
		idc=104;
		x=0.32;
		y=0.26;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class Rectangular:ME3D_RscCombo
		{
		idc=120;
		x=0.48;
		y=0.26;
		w=0.24;
		h=0.038;
		strings[]={"$STR_DISP_ARCSENS_ELLIPSE","$STR_DISP_ARCSENS_RECT"};
		rows=1;
		columns=2;
		};

	class SubBackground2:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.33;
		w=0.515;
		h=0.16;
		};

	class TextActivation:ME3D_RscText
		{
		x=0.23;
		y=0.34;
		w=0.15;
		text="$STR_DISP_ARCSENS_ACTIV";
		};

	class ValueActivation:ME3D_RscCombo		// edited (tweak)
		{
		idc=105;
		x=0.32;
		y=0.34;
		w=0.15;
		wholeHeight=0.5;		// added
		};

	class Repeating:ME3D_RscCombo
		{
		idc=107;
		x=0.48;
		y=0.34;
		w=0.24;
		h=0.038;
		strings[]={"$STR_DISP_ARCSENS_ONCE","$STR_DISP_ARCSENS_REPEAT"};
		rows=1;
		columns=2;
		};

	class Presence:ME3D_RscCombo
		{
		idc=106;
		x=0.23;
		y=0.39;
		w=0.5;
		h=0.038;
		strings[]={"$STR_DISP_ARCSENS_PRESYES","$STR_DISP_ARCSENS_PRESNO","$STR_DISP_ARCSENS_DETWEST","$STR_DISP_ARCSENS_DETEAST","$STR_DISP_ARCSENS_DETGUERRILA","$STR_DISP_ARCSENS_DETCIVILIAN"};
		rows=2;
		columns=3;
		};

	class Interruptable:ME3D_RscCombo		// edited (fix)
		{
		idc=108;
		x=0.23;
		y=0.43; // +0.01
		w=0.15;
		h=0.06;	// -0.02
		strings[]={"$STR_DISP_ARCSENS_COUNTDOWN","$STR_DISP_ARCSENS_TIMEOUT"};
		rows=2;
		columns=1;
		};

	class TextTimeoutMin:ME3D_RscText		// edited (fix + tweak)
		{
		x=0.40;		// +0.05
		y=0.44;
		w=0.05;
		text="$STR_DISP_ARCSENS_TIMEOUT_MIN";
		};

	class ValueTimeoutMin:ME3D_RscEdit		// edited (fix + tweak)
		{
		idc=109;
		x=0.45;		// +0.05
		y=0.44;
		w=0.05;
		text="$STR_DISP_ERROR";
		};

	class TextTimeoutMax:ME3D_RscText		// edited (fix + tweak)
		{
		x=0.6;		// + 0.15
		y=0.44;
		w=0.05;
		text="$STR_DISP_ARCSENS_TIMEOUT_MAX";
		};

	class ValueTimeoutMax:ME3D_RscEdit		// edited (fix + tweak)
		{
		idc=110;
		x=0.65;		// + 0.15
		y=0.44;
		w=0.05;
		text="$STR_DISP_ERROR";
		};

	class TextTimeoutMid:ME3D_RscText		// edited (fix + tweak)
		{
		x=0.5;		// -0.05
		y=0.44;
		w=0.05;
		text="$STR_DISP_ARCSENS_TIMEOUT_MID";
		};

	class ValueTimeoutMid:ME3D_RscEdit		// edited (fix + tweak)
		{
		idc=111;
		x=0.55;		// -0.05
		y=0.44;
		w=0.05;
		text="$STR_DISP_ERROR";
		};

	class SubBackground3:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.51;
		w=0.515;
		h=0.16;
		};

	class TextType:ME3D_RscText
		{
		x=0.23;
		y=0.52;
		w=0.15;
		text="$STR_DISP_ARCSENS_TYPE";
		};

	class ValueType:ME3D_RscCombo		// edited (tweak)
		{
		idc=112;
		x=0.32;
		y=0.52;
		w=0.15;
		wholeHeight=0.5;		// added
		};

	class TextText:ME3D_RscText
		{
		x=0.23;
		y=0.57;
		w=0.15;
		text="$STR_DISP_ARCSENS_TEXT";
		};

	class ValueText:ME3D_RscEdit
		{
		idc=114;
		x=0.32;
		y=0.57;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class TextName:ME3D_RscText
		{
		x=0.48;
		y=0.57;
		w=0.15;
		text="$STR_DISP_ARCSENS_NAME";
		};

	class ValueName:ME3D_RscEdit
		{
		idc=121;
		x=0.57;
		y=0.57;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class SubBackground4:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.69;
		w=0.515;
		h=0.16;
		};

	class TextExpCond:ME3D_RscText
		{
		x=0.23;
		y=0.7;
		w=0.2;
		text="$STR_DISP_ARCSENS_EXPCOND";
		};

	class ValueExpCond:ME3D_RscEdit
		{
		idc=117;
		x=0.37;
		y=0.7;
		w=0.35;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class TextExpActiv:ME3D_RscText
		{
		x=0.23;
		y=0.75;
		w=0.2;
		text="$STR_DISP_ARCSENS_EXPACTIV";
		};

	class ValueExpActiv:ME3D_RscEdit
		{
		idc=118;
		x=0.37;
		y=0.75;
		w=0.35;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class TextExpDesactiv:ME3D_RscText
		{
		x=0.23;
		y=0.8;
		w=0.2;
		text="$STR_DISP_ARCSENS_EXPDESACTIV";
		};

	class ValueExpDesactiv:ME3D_RscEdit
		{
		idc=119;
		x=0.37;
		y=0.8;
		w=0.35;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class ButtonEffects:ME3D_RscButtonSmall
		{
		idc=116;
		x=0.22;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_ARCSENS_EFFECTS";
		};

	class ButtonOK:ME3D_RscButtonSmall
		{
		idc=1;
		x=0.46;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:ME3D_RscButtonSmall
		{
		idc=2;
		x=0.607;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Marker menu (tweak)
class ME3D_EditMarker
	{
	idd=45;
	movingEnable=1;
	controls[]={"Background","SubBackground","Title","TextName","ValueName","Marker","TextColorName","ValueColorName","TextType","ValueIcon","ValueFill","TextA","ValueA","TextB","ValueB","TextAngle","ValueAngle","TextText","ValueText"};

	class Background:ME3D_RscBackground
		{
		idc = 1000;
		x=0.2;
		y=0.2;
		w=0.6;
		h=0.41;
		};

	class SubBackground:ME3D_RscGroupBox2
		{
		x=0.22;
		y=0.3;
		w=0.56;
		h=0.26;
		};

	class Title:ME3D_RscTitle
		{
		idc=101;
		x=0.2;
		y=0.218;
		w=0.6;
		h=0.06;
		text="$STR_ARCMARK_TITLE2";
		};

	class TextName:ME3D_RscText
		{
		x=0.23;
		y=0.32;
		w=0.07;
		text="$STR_DISP_ARCMARK_NAME";
		};

	class ValueName:ME3D_RscEdit
		{
		idc=102;
		x=0.3;
		y=0.32;
		w=0.19;
		text="$STR_DISP_ERROR";
		};

	class Marker:ME3D_RscCombo
		{
		idc=103;
		x=0.51;
		y=0.32;
		w=0.26;
		h=0.038;
		strings[]={"$STR_DISP_ARCMARK_ICON","$STR_DISP_ARCMARK_RECT","$STR_DISP_ARCMARK_ELLIPSE"};
		rows=1;
		columns=3;
		};

	class TextColorName:ME3D_RscText
		{
		x=0.23;
		y=0.38;
		w=0.07;
		text="$STR_DISP_ARCMARK_COLOR";
		};

	class ValueColorName:ME3D_RscCombo		// edited (tweak)
		{
		idc=105;
		x=0.3;
		y=0.38;
		w=0.19;
		wholeHeight=__EVAL(0.62 + AR_modifY);		// added
		};

	class TextType:ME3D_RscText
		{
		idc=109;
		x=0.51;
		y=0.38;
		w=0.07;
		text="$STR_ARCMARK_TYPE1";
		};

	class ValueIcon:ME3D_RscCombo		// edited (tweak)
		{
		idc=104;
		x=0.58;
		y=0.38;
		w=0.19;
		wholeHeight=__EVAL(0.62 + AR_modifY);		// added
		};

	class ValueFill:ME3D_RscCombo		// edited (tweak)
		{
		idc=110;
		x=0.58;
		y=0.38;
		w=0.19;
		wholeHeight=__EVAL(0.62 + AR_modifY);		// added
		};

	class TextA:ME3D_RscText
		{
		x=0.23;
		y=0.44;
		w=0.07;
		text="$STR_DISP_ARCMARK_A";
		};

	class ValueA:ME3D_RscEdit
		{
		idc=106;
		x=0.3;
		y=0.44;
		w=0.09;
		text="$STR_DISP_ERROR";
		};

	class TextB:ME3D_RscText
		{
		x=0.4;
		y=0.44;
		w=0.07;
		text="$STR_DISP_ARCMARK_B";
		};

	class ValueB:ME3D_RscEdit
		{
		idc=107;
		x=0.47;
		y=0.44;
		w=0.09;
		text="$STR_DISP_ERROR";
		};

	class TextAngle:ME3D_RscText
		{
		x=0.57;
		y=0.44;
		w=0.07;
		text="$STR_DISP_ARCMARK_ANGLE";
		};

	class ValueAngle:ME3D_RscEdit
		{
		idc=108;
		x=0.64;
		y=0.44;
		w=0.09;
		text="$STR_DISP_ERROR";
		};

	class TextText:ME3D_RscText
		{
		x=0.23;
		y=0.5;
		w=0.07;
		text="$STR_DISP_ARCMARK_TEXT";
		};

	class ValueText:ME3D_RscEdit
		{
		idc=111;
		x=0.3;
		y=0.5;
		w=0.43;
		text="$STR_DISP_ERROR";
		};

	class ButtonOK:ME3D_RscButtonSmall
		{
		idc=1;
		x=0.5;
		y=0.585;
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:ME3D_RscButtonSmall
		{
		idc=2;
		x=0.647;
		y=0.585;
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};
	
	// Waypoint menu (fix + tweak)
class ME3D_EditWaypoint
	{
	idd=28;
	movingEnable=1;
	controls[]={"Background","SubBackground","Title","TextType","ValueType","TextSequence","ValueSequence","TextDescription","ValueDescription","TextCombatMode","ValueCombatMode","TextFormation","ValueFormation","TextSpeed","ValueSpeed","TextCombat","ValueCombat","TextPlacement","ValuePlacement","TextHousePos","ValueHousePos","TextTimeout","TextTimeoutMin","ValueTimeoutMin","TextTimeoutMax","ValueTimeoutMax","TextTimeoutMid","ValueTimeoutMid","TextExpCond","ValueExpCond","TextExpActiv","ValueExpActiv","Show","TextExpScript","ValueExpScript","ButtonEffects"};

	class Background:ME3D_RscBackground
		{
		idc = 1002;
		x=0.2;
		y=0.1;
		w=0.6;
		h=0.8;
		};

	class SubBackground:ME3D_RscGroupBox2		// edited (fix)
		{
		x=0.22;
		y=0.21;		// -0.01
		w=0.56;
		h=0.58;		// -0.02
		};

	class Title:ME3D_RscTitle		// edited (fix)
		{
		idc=101;
		x=0.2;
		y=0.118;		// +0.004
		w=0.6;
		text="$STR_ARCWP_TITLE2";
		};

	class TextType:ME3D_RscText
		{
		x=0.25;
		y=0.23;
		w=0.15;
		text="$STR_DISP_ARCWP_TYPE";
		};

	class ValueType:ME3D_RscCombo		// edited (tweak)
		{
		idc=102;
		x=0.4;
		y=0.23;
		w=0.35;
		wholeHeight=0.5;	// added
		};

	class TextSequence:ME3D_RscText
		{
		x=0.25;
		y=0.28;
		w=0.15;
		text="$STR_DISP_ARCWP_SEQ";
		};

	class ValueSequence:ME3D_RscCombo
		{
		idc=103;
		x=0.4;
		y=0.28;
		w=0.35;
		};

	class TextDescription:ME3D_RscText
		{
		x=0.25;
		y=0.33;
		w=0.15;
		text="$STR_DISP_ARCWP_DESC";
		};

	class ValueDescription:ME3D_RscEdit
		{
		idc=104;
		x=0.4;
		y=0.33;
		w=0.35;
		text="$STR_DISP_ERROR";
		};

	class TextCombatMode:ME3D_RscText
		{
		x=0.25;
		y=0.38;
		w=0.1;
		text="$STR_DISP_ARCWP_SEMAPHORE";
		};

	class ValueCombatMode:ME3D_RscCombo
		{
		idc=105;
		x=0.35;
		y=0.38;
		w=0.15;
		};

	class TextFormation:ME3D_RscText
		{
		x=0.5;
		y=0.38;
		w=0.1;
		text="$STR_DISP_ARCWP_FORM";
		};

	class ValueFormation:ME3D_RscCombo
		{
		idc=106;
		x=0.6;
		y=0.38;
		w=0.15;
		};

	class TextSpeed:ME3D_RscText
		{
		x=0.25;
		y=0.43;
		w=0.1;
		text="$STR_DISP_ARCWP_SPEED";
		};

	class ValueSpeed:ME3D_RscCombo
		{
		idc=107;
		x=0.35;
		y=0.43;
		w=0.15;
		};

	class TextCombat:ME3D_RscText
		{
		x=0.5;
		y=0.43;
		w=0.1;
		text="$STR_DISP_ARCWP_COMBAT";
		};

	class ValueCombat:ME3D_RscCombo
		{
		idc=108;
		x=0.6;
		y=0.43;
		w=0.15;
		};

	class TextPlacement:ME3D_RscText
		{
		x=0.25;
		y=0.48;
		w=0.15;
		text="$STR_DISP_ARCWP_PLACE";
		};

	class ValuePlacement:ME3D_RscEdit
		{
		idc=109;
		x=0.4;
		y=0.48;
		w=0.1;
		text="$STR_DISP_ERROR";
		};

	class TextHousePos:ME3D_RscText
		{
		idc=115;
		x=0.5;
		y=0.48;
		w=0.15;
		text="$STR_DISP_ARCWP_HOUSEPOS";
		};

	class ValueHousePos:ME3D_RscCombo
		{
		idc=114;
		x=0.65;
		y=0.48;
		w=0.1;
		};

	class TextTimeout:ME3D_RscText
		{
		x=0.25;
		y=0.53;
		w=0.1;
		text="$STR_DISP_ARCWP_TIMEOUT";
		};

	class TextTimeoutMin:ME3D_RscText
		{
		x=0.32;
		y=0.53;
		w=0.05;
		text="$STR_DISP_ARCWP_TIMEOUT_MIN";
		};

	class ValueTimeoutMin:ME3D_RscEdit
		{
		idc=111;
		x=0.37;
		y=0.53;
		w=0.08;
		text="$STR_DISP_ERROR";
		};

	class TextTimeoutMax:ME3D_RscText		// edited (tweak)
		{
		x=0.62;		// +0.15
		y=0.53;
		w=0.05;
		text="$STR_DISP_ARCWP_TIMEOUT_MAX";
		};

	class ValueTimeoutMax:ME3D_RscEdit		// edited (tweak)
		{
		idc=112;
		x=0.67;		// +0.15
		y=0.53;
		w=0.08;
		text="$STR_DISP_ERROR";
		};

	class TextTimeoutMid:ME3D_RscText		// edited (tweak)
		{
		x=0.47;		// -0.15
		y=0.53;
		w=0.05;
		text="$STR_DISP_ARCWP_TIMEOUT_MID";
		};

	class ValueTimeoutMid:ME3D_RscEdit		// edited (tweak)
		{
		idc=113;
		x=0.52;		// -0.15
		y=0.53;
		w=0.08;
		text="$STR_DISP_ERROR";
		};

	class TextExpCond:ME3D_RscText
		{
		x=0.25;
		y=0.58;
		w=0.15;
		text="$STR_DISP_ARCWP_EXPCOND";
		};

	class ValueExpCond:ME3D_RscEdit
		{
		idc=118;
		x=0.4;
		y=0.58;
		w=0.35;
		text="$STR_DISP_ERROR";
		};

	class TextExpActiv:ME3D_RscText
		{
		x=0.25;
		y=0.63;
		w=0.15;
		text="$STR_DISP_ARCWP_EXPACTIV";
		};

	class ValueExpActiv:ME3D_RscEdit
		{
		idc=116;
		x=0.4;
		y=0.63;
		w=0.35;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class Show:ME3D_RscCombo
		{
		idc=117;
		x=0.25;
		y=0.68;
		w=0.5;
		h=0.038;
		strings[]={"$STR_DISP_ARCWP_SHOW_NEVER","$STR_DISP_ARCWP_SHOW_EASY","$STR_DISP_ARCWP_SHOW_ALWAYS"};
		rows=1;
		columns=3;
		};

	class TextExpScript:ME3D_RscText
		{
		x=0.25;
		y=0.73;
		w=0.15;
		text="$STR_DISP_ARCWP_SCRIPT";
		};

	class ValueExpScript:ME3D_RscEdit
		{
		idc=119;
		x=0.4;
		y=0.73;
		w=0.35;
		text="$STR_DISP_ERROR";
		};

	class ButtonEffects:ME3D_RscButtonSmall
		{
		idc=110;
		x=0.22;
		y=0.81;
		text="$STR_DISP_ARCWP_EFFECTS";
		};

	class ButtonOK:ME3D_RscButtonSmall		// edited (fix)
		{
		idc=1;
		x=0.51;		// +0.03
		y=0.81;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:ME3D_RscButtonSmall		// edited (fix)
		{
		idc=2;
		x=0.66;		// +0.03
		y=0.81;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Effects menu (tweak)
class ME3D_EditEffects
	{
	idd=44;
	movingEnable=1;
	controls[]={"Background","SubBackground","Title","GroupActivation","Condition","GroupCamera","TextCamEffect","ValueCamEffect","TextCamEffectPos","ValueCamEffectPos","GroupSound","TextSound","ValueSound","TextVoice","ValueVoice","TextSoundEnv","ValueSoundEnv","TextSoundDet","ValueSoundDet","GroupMusic","TextMusic","ValueMusic","GroupTitles","TextTitleType","ValueTitleType","TextTitleEffect","ValueTitleEffect","TextTitle","ValueTitleText","ValueTitleRes","ValueTitleObj",ButtonPreview};

	class Background:ME3D_RscBackground		// edited (tweak)
		{
		idc = 1003;
		x=0.2;
		y=0.1;		// -0.1
		w=0.6;
		h=0.72;
		};

	class Title:ME3D_RscTitle		// edited (tweak)
		{
		idc=-1;
		x=0.2;
		y=0.118;		// -0.1
		w=0.6;
		h=0.06;
		text="$STR_DISP_ARCEFF_TITLE";
		};

	class SubBackground:ME3D_RscGroupBox2		// edited (tweak)
		{
		x=0.22;
		y=0.2;		// -0.1
		w=0.56;
		h=0.52;
		};

	class GroupActivation:ME3D_RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.22;		// -0.1
		w=0.53;
		h=0.07;
		text="$STR_DISP_ARCEFF_ACTIVATION";
		};

	class Condition:ME3D_RscEdit		// edited (tweak)
		{
		idc=113;
		x=0.24;
		y=0.245;		// -0.1
		w=0.52;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class GroupCamera:ME3D_RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.3;		// -0.1
		w=0.53;
		h=0.07;
		text="$STR_DISP_ARCEFF_CAMERA";
		};

	class TextCamEffect:ME3D_RscText		// edited (tweak)
		{
		x=0.24;
		y=0.32;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_CAMTYPE";
		};

	class ValueCamEffect:ME3D_RscCombo		// edited (tweak)
		{
		idc=101;
		x=0.33;
		y=0.32;		// -0.1
		w=0.15;
		wholeHeight=0.5;		// added
		};

	class TextCamEffectPos:ME3D_RscText		// edited (tweak)
		{
		x=0.5;
		y=0.32;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_CAMPOS";
		};

	class ValueCamEffectPos:ME3D_RscCombo		// edited (tweak)
		{
		idc=102;
		x=0.59;
		y=0.32;		// -0.1
		w=0.15;
		wholeHeight=0.5;		// added
		};

	class GroupSound:ME3D_RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.38;		// -0.1
		w=0.53;
		h=0.12;
		text="$STR_DISP_ARCEFF_SOUNDS";
		};

	class TextSound:ME3D_RscText		// edited (tweak)
		{
		x=0.24;
		y=0.4;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_SOUND_ANON";
		};

	class ValueSound:ME3D_RscCombo		// edited (tweak) *
		{
		idc=103;
		x=0.33;
		y=0.4;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.6 + AR_modifY);		// added
		};

	class TextVoice:ME3D_RscText		// edited (tweak)
		{
		x=0.5;
		y=0.4;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_VOICE";
		};

	class ValueVoice:ME3D_RscCombo		// edited (tweak) *
		{
		idc=104;
		x=0.59;
		y=0.4;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.6 + AR_modifY);		// added
		};

	class TextSoundEnv:ME3D_RscText		// edited (tweak)
		{
		x=0.24;
		y=0.45;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_SOUND_ENV";
		};

	class ValueSoundEnv:ME3D_RscCombo		// edited (tweak) *
		{
		idc=105;
		x=0.33;
		y=0.45;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.55 + AR_modifY);		// added
		};

	class TextSoundDet:ME3D_RscText		// edited (tweak)
		{
		x=0.5;
		y=0.45;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_SOUND_DET";
		};

	class ValueSoundDet:ME3D_RscCombo		// edited (tweak) *
		{
		idc=106;
		x=0.59;
		y=0.45;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.55 + AR_modifY);		// added
		};

	class GroupMusic:ME3D_RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.51;		// -0.1
		w=0.53;
		h=0.07;
		text="$STR_DISP_ARCEFF_MUSIC";
		};

	class TextMusic:ME3D_RscText		// edited (tweak)
		{
		x=0.24;
		y=0.53;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_TRACK";
		};

	class ValueMusic:ME3D_RscCombo		// edited (tweak) *
		{
		idc=107;
		x=0.33;
		y=0.53;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.47 + AR_modifY);		// added
		};

	class GroupTitles:ME3D_RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.59;		// -0.1
		w=0.53;
		h=0.12;
		text="$STR_DISP_ARCEFF_TITLES";
		};

	class TextTitleType:ME3D_RscText		// edited (tweak)
		{
		x=0.24;
		y=0.61;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_TITTYPE";
		};

	class ValueTitleType:ME3D_RscCombo		// edited (tweak)
		{
		idc=108;
		x=0.33;
		y=0.61;		// -0.1
		w=0.15;
		};

	class TextTitleEffect:ME3D_RscText		// edited (tweak)
		{
		x=0.5;
		y=0.61;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_TITEFF";
		};

	class ValueTitleEffect:ME3D_RscCombo		// edited (tweak)
		{
		idc=109;
		x=0.59;
		y=0.61;		// -0.1
		w=0.15;
		};

	class TextTitle:ME3D_RscText		// edited (tweak)
		{
		idc=114;
		x=0.24;
		y=0.66;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_TITTEXT";
		};

	class ValueTitleText:ME3D_RscEdit		// edited (tweak)
		{
		idc=110;
		x=0.33;
		y=0.66;		// -0.1
		w=0.4;
		text="";
		};

	class ValueTitleRes:ME3D_RscCombo		// edited (tweak) *
		{
		idc=111;
		x=0.33;
		y=0.66;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.34 + AR_modifY);		// added
		};

	class ValueTitleObj:ME3D_RscCombo		// edited (tweak) *
		{
		idc=112;
		x=0.33;
		y=0.66;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.34 + AR_modifY);		// added
		};
	
	class ButtonOK:ME3D_RscButtonSmall		// edited (tweak)
		{
		idc=1;
		x=0.5;
		y=0.745;		// -0.1
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:ME3D_RscButtonSmall		// edited (tweak)
		{
		idc=2;
		x=0.647;
		y=0.745;		// -0.1
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
		
	class ButtonPreview:ButtonOK
		{
		idc=500;
		x=0.22;
		text="";
		};
	};




// Keyboard shortcuts list

class ME3D_Help
{
	idd = 0;
	movingEnable = 1;
	controls[] = {};
	controlsBackground[]=
	{
		Background, 
		Frame, 
		Exit,
		Text1, 
		Text2,
	};
	
	__EXEC(ME3D_HELP_W = 1);
	__EXEC(ME3D_HELP_H = 1);
	__EXEC(ME3D_HELP_X = 1 - ME3D_HELP_W);
	__EXEC(ME3D_HELP_X = ME3D_HELP_X / 2);
	__EXEC(ME3D_HELP_Y = 1 - ME3D_HELP_H);
	__EXEC(ME3D_HELP_Y = ME3D_HELP_Y / 2);

	class Background : ME3D_RscText
	{
		idc = 326371
		colorBackground[]={black, 0.75};
		x = __EVAL(ME3D_HELP_X)
		y = __EVAL(ME3D_HELP_Y)
		w = __EVAL(ME3D_HELP_W)
		h = __EVAL(ME3D_HELP_H)
	};
	
	class Frame : Background
	{
		idc = 326372
		style = 64;
		colorText[] = {white, 1};
		text = "Controls"
	};
	
	class Text1 : ME3D_RscText
	{
		idc = 0
		style = 1 + 16 + 256;
		x = __EVAL(ME3D_HELP_X)
		y = __EVAL(ME3D_HELP_Y + 0.02)
		w = __EVAL(-0.02 + ME3D_HELP_W / 2)
		h = __EVAL(ME3D_HELP_H)
		sizeEx = 0.025
		lineSpacing = 1.25
		colorText[]={0.9804,0.9725,0.8000, 1};
		colorBackground[] = {red, 0};
	};
	
	class Text2 : Text1
	{
		idc = 1
		style = 0 + 16 + 256;
		x = __EVAL(ME3D_HELP_X + ME3D_HELP_W / 2);
		colorText[]={white2, 1};
	};

	class Exit : ME3D_RscButton
	{
		__EXEC(ME3D_HELP_BUT_W = ME3D_HELP_W / 3);
		__EXEC(ME3D_HELP_BUT_H = 0.05);
		
		idc = 10
		x = __EVAL((1 - ME3D_HELP_BUT_W) / 2)
		y = __EVAL(ME3D_HELP_Y + ME3D_HELP_H - ME3D_HELP_BUT_H * 1.5)
		w = __EVAL(ME3D_HELP_BUT_W)
		h = __EVAL(ME3D_HELP_BUT_H)
		sizeEx = __EVAL(ME3D_HELP_BUT_H - 0.005)
		text = "Exit";
		action = "closeDialog 1";
	};
};