// Find item in array case insensitive
ME3D_FIND_CASEINSENSITIVE = {
	private ["_i", "_index"];
	_i     = 0;
	_index = -1;
	{
		if (_index == -1) then {
			if ((_this select 0) == _x) then {_index=_i};
			_i = _i + 1;
		}
	} forEach (_this select 1);
	_index
};


// New line character used in generating text files
ME3D_NEWLINE = "
";


// Tab character used in generating text files
ME3D_TAB = "	";


// Convert arrays to string used in generating text files
ME3D_FORMAT2 = {
	private ["_string", "_return"];
	_return = "";
	
	if (Format ["%1",ME3D_FORMAT2_COUNTER] == "scalar bool array string 0xfcffffef") then {
		ME3D_FORMAT2_COUNTER = 0;
	} else {
		ME3D_FORMAT2_COUNTER = ME3D_FORMAT2_COUNTER + 1;
		
		if (ME3D_FORMAT2_COUNTER == 1) then {
			_return = ME3D_NEWLINE + ME3D_TAB;
		};
	};

	_return = _return + (if (_this in [_this]) then {	// if scalar
		if (_this in [Format["%1",_this]]) then {	// if string
			"{" + _this + "}"
		} else {
			if (_this in [objNull]) then {
				"objNull"
			} else {
				if (_this in [grpNull]) then {
					"grpNull"
				} else {
					Format ["%1",_this]	// if other
				}
			}
		}
	} else {	// if array
		_string = "[";
		{_string = _string + "]+[" + (_x call ME3D_FORMAT2)} forEach _this;
		_string + "]"
	});
	
	ME3D_FORMAT2_COUNTER = ME3D_FORMAT2_COUNTER - 1;
	if (ME3D_FORMAT2_COUNTER < 0) then {ME3D_FORMAT2_COUNTER=nil};
	
	_return
};

	
// Copy properties from one CfgVehiclse array to another with resolved inheritance
ME3D_READ_SINGLE_CLASS = {
	private ["_i", "_properties_to_read", "_value", "_class_index", "_allow_copy", "_debug"];
	_i                  = 0;	
	_properties_to_read = ["class","inherit","scope","model","vehicleclass","displayname","side","simulation","access","hasdriver","hasgunner","hascommander","transportsoldier"];
	_class_index        = [_x select 0, _TMP_CFGVEHICLES_CLASS] call ME3D_FIND;
	_allow_copy         = true;
	_debug              = false;//(_x select 0) == "ww4_navrifleman";
	
	// If this class already exists
	if (_class_index >= 0) then {
		if (_debug) then {
			player sideChat format ["class exists: file:%1 class:%2 index:%3 access:%4", _file, _x select 0, _class_index, (_TMP_CFGVEHICLES_ACCESS select _class_index)];
			loadFile format ["\:IGSE WRITE file:..\fwatch\tmp\debug.txt text:class exists: file:%1 class:%2 index:%3 access:%4", _file, _x select 0, _class_index, (_TMP_CFGVEHICLES_ACCESS select _class_index)];
		};
		
		/* 
		Allow updating this class if:
		- this isn't just inheritance reference like class All {}; (it doesn't consist solely of objNull)
		- value of the "access" property in this class is zero: access=0;
		*/
		_allow_copy = "_x in [objNull]" count _x < ((count _properties_to_read)-2)  &&  (_TMP_CFGVEHICLES_ACCESS select _class_index) in [0];
	} else {
		_class_index = count _TMP_CFGVEHICLES_CLASS;
	};
	
	// Copy each value to a single-dimensional array
	if (_allow_copy) then {
		{
			_value = _x;
			
			// Resolve property inheritance
			if (_i >= 2) then {
				if (_value in [objNull]) then {
					_value = [_properties_to_read select _i, _class_index, _debug, _TMP_CFGVEHICLES_CLASS] call ME3D_RECURSIVE_PROPERTY_SEARCH;
				};
			};
			
			if (_debug) then {
				player globalchat format ["COPY PROPERTY:%1 VALUE:%2", _properties_to_read select _i, _value];
				loadFile format ["\:IGSE WRITE file:..\fwatch\tmp\debug.txt text:COPY PROPERTY:%1 VALUE:%2", _properties_to_read select _i, _value];
			};

			call Format ["_TMP_CFGVEHICLES_%1 set [_class_index, _value];", _properties_to_read select _i];
			
			_array_ref = call Format ["_TMP_CFGVEHICLES_%1", _properties_to_read select _i];
			
			if (_debug) then {
				loadFile (Format ["\:IGSE WRITE file:..\fwatch\tmp\debug.txt text:_TMP_CFGVEHICLES_%1=", _properties_to_read select _i] + (_array_ref call FLIB_FORMAT));
			};
			
			_i = _i + 1;
		} forEach _x;
		
		_TMP_CFGVEHICLES_SOURCE set [_class_index, _source];
	}
};


// Copy properties from one Cfg<effects> array to another with resolved inheritance
ME3D_READ_SINGLE_CLASS2 = {	
	private ["_array", "_i", "_properties_to_read", "_value", "_class_index", "_allow_copy", "_debug"];
	_source_array       = _this select 0;
	_properties_to_read = _this select 1;
	_target_array       = _this select 2;
	_template_name      = _this select 3;
	
	{
		_i                  = 0;
		_class_index        = [_x select 0, _target_array] call ME3D_FIND;
		_allow_copy         = true;
		_debug              = false;//(_x select 0) == "lasertarget";
		//player sidechat (_x select 0);
		
		if (_class_index >= 0) then {
			//player globalchat format ["%1 %2 %3 %4", _file, _x select 0, _class_index, (_TMP_CFGVEHICLES_ACCESS select _class_index)];
		} else {
			_class_index = count _target_array;
		};
		
		if (_allow_copy) then {
			{
				_value = _x;
				
				// Resolve property inheritance
				if (_i >= 2) then {
					if (_value in [objNull]) then {
						_value = [_properties_to_read select _i, _class_index, _debug, _target_array] call ME3D_RECURSIVE_PROPERTY_SEARCH;
					};
				};
				
				if (_debug) then {
					player globalchat format ["PROPERTY:%1 VALUE:%2", _properties_to_read select _i, _value];
				};

				call Format ["_TMP_%1_%2 set [_class_index, _value];", _template_name, _properties_to_read select _i];
				_i = _i + 1;
			} forEach _x;
		}
	} forEach _source_array;
	
};


// Resolve property inheritance
ME3D_RECURSIVE_PROPERTY_SEARCH = {
	private ["_property_name", "_class_index", "_inherit_name","_inherit_index","_result"];

	_property_name = _this select 0;
	_class_index   = _this select 1;
	_debug         = _this select 2;
	_class_names   = _this select 3;
	_inherit_name  = _TMP_CFGVEHICLES_INHERIT select _class_index;
	_result        = grpNull;
	
	if (_inherit_name != "") then {
		_inherit_index = [_inherit_name, _class_names] call ME3D_FIND;
		
		if (_debug) then {
			player globalchat format ["search: class:%1 property:%2 inherit:%3 %4", _class_names select _class_index, _property_name, _inherit_name, _inherit_index];
			loadFile format ["\:IGSE WRITE file:..\fwatch\tmp\debug.txt text:search: class:%1 property:%2 inherit:%3 %4", _class_names select _class_index, _property_name, _inherit_name, _inherit_index];
		};
		
		if (_inherit_index >= 0) then {
			_array_ref = call Format ["_TMP_CFGVEHICLES_%1", _property_name];
			_result = call Format ["_TMP_CFGVEHICLES_%1 select _inherit_index", _property_name];
			
			if (_debug) then {
				player globalchat format ["search result: %1", _result];
				loadFile format ["\:IGSE WRITE file:..\fwatch\tmp\debug.txt text:search result: %1", _result];
				loadFile (Format ["\:IGSE WRITE file:..\fwatch\tmp\debug.txt text:_TMP_CFGVEHICLES_%1=", _property_name] + (_array_ref call FLIB_FORMAT));
			};

			if (_result in [objNull]) then {
				_result = [_property_name, _inherit_index, _debug, _class_names] call ME3D_RECURSIVE_PROPERTY_SEARCH;
			};
		} else {
			if (_debug) then {
				player globalchat format ["inherit not found %1", _property_name];
				loadFile format ["\:IGSE WRITE file:..\fwatch\tmp\debug.txt text:inherit not found %1", _property_name];
			};
			_result = grpNull; // failed to resolve inheritance
			_inheritance_error = Format ["class %1:%2 property:%3",_class_names select _class_index, (if (_inherit_name!="") then {_inherit_name} else {"{}"}),_property_name];
		};
	} else {
		_inheritance_error = Format ["class %1:%2 property:%3",_class_names select _class_index, (if (_inherit_name!="") then {_inherit_name} else {"{}"}),_property_name];
	};

	_result
};



// Put strings from the array to a dialog
ME3D_READADDON_SHOWPROGRESS = {
	private ["_clear", "_title1", "_j"];

	if (_chat) then {
		_string = "";
		{
			if (_x != "0") then {
				_string = _string + _x + " ";
			};
		} forEach _this;		
		player globalChat _string;
	} else {
		_j = 0;
		{
			if (_j < count _this) then {
				if ((_this select _j) != "0") then {	//"0" means no change
					ctrlSetText [_x, _this select _j];
				};
			} else {
				ctrlSetText [_x, ""];	//smaller input array means clearing unused
			};
			_j = _j + 1;
		} forEach _progress_idc;
	}
};
